Summary: The /bin/mail program, which is used to send mail via shell scripts.
Name: mailx
Version: 8.1.1
Release: 13mdk
Copyright: BSD
Group: Networking/Mail
Source: ftp://ftp.debian.org/pub/debian/hamm/source/mail/mailx-8.1.1.tar.bz2
Patch0: mailx-8.1.1.debian.patch.bz2
Patch1: mailx-8.1.1.security.patch.bz2
Patch2: mailx-8.1.1.nolock.patch.bz2
Patch3: mailx-8.1.1.debian2.patch.bz2
Patch4: mailx-noroot.patch.bz2
BuildRoot: /var/tmp/%{name}-root

%description
The mailx package installs the /bin/mail program, which is used to send
quick email messages (i.e., without opening up a full-featured mail user
agent). Mail is often used in shell scripts.

You should install mailx because of its quick email sending ability, which
is especially useful if you're planning on writing any shell scripts.

%prep
%setup -q

%patch0 -p1 -b .debian
%patch1 -p1 -b .security
%patch2 -p1 -b .nolock
%patch3 -p1 -b .debian2
%patch4 -p1 -b .noroot

%build
# We can't compile mailx with Optimisation

CFLAGS=$(echo $RPM_OPT_FLAGS|sed 's/-O.//g')
make CFLAGS="$CFLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,etc,usr/bin,usr/lib,usr/man/man1}

make DESTDIR=$RPM_BUILD_ROOT install

( cd $RPM_BUILD_ROOT
  mv ./usr/bin/mail ./bin/mail
  chmod g-s ./bin/mail
  ln -sf ../../bin/mail ./usr/bin/Mail
  bzip2 ./usr/man/man1/*
  ln -sf mail.1.bz2 ./usr/man/man1/Mail.1.bz2
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,mail)	/bin/mail
/usr/bin/Mail
/usr/lib/mail.help
/usr/lib/mail.tildehelp
%config /etc/mail.rc
/usr/man/man1/mail.1.bz2
/usr/man/man1/Mail.1.bz2

%changelog
* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 8.1.1-13mdk
- new group id.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- rh merge.
- fix pathnames(r).
- take out makefile install crud(r).

* Fri Apr 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix a segfault if we compile with a -0? optimisation.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Aug 27 1998 Alan Cox <alan@redhat.com>
- Synchronized with the Debian people (more small edge case cures)

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- Switched dotlocking off. This fits the Red Hat model of not having setgid
  mail agents and fixes the "lock" problem reported.

* Mon Jun 22 1998 Alan Cox <alan@redhat.com>
- Buffer overrun patches. These dont bite us when we don't run mailx setgid
  but do want to be in as mailx needs to be setgid

* Fri Jun 12 1998 Alan Cox <alan@redhat.com>
- Moved from 5.5 to the OpenBSD 8.1 release plus Debian patches

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
